version: '2'

services:
  tail:
    image: node:12-slim
    restart: always
    hostname: tail
    container_name: tail
    working_dir: /tail
    entrypoint:
      - node
      - index
    volumes:
      - ./tail:/tail
      - /opt/docker/production/nginx/logs/access.log:/access.log:ro
      - /opt/docker/production/fail2ban/fail2ban.log:/fail2ban.log:ro
    networks:
      mynet:
        ipv4_address: 172.28.0.101

networks:
  mynet:
    driver: bridge
    ipam:
      config:
      - subnet: 172.28.0.0/24
